Bug 1376447 - [abrt] gnome-shell: meta_wayland_surface_get_toplevel(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: meta_wayland_surface_get_toplevel(): gnome-shell killed b...
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mutter
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e3a76b1f241f4a147f02fac0fb9...
Keywords:
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2016-09-15 12:47 UTC by Kamil Páral
Modified: 2017-12-12 10:11 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-12-12 10:11:51 UTC


Attachments (Terms of Use)
File: backtrace (37.42 KB, text/plain)
2016-09-15 12:47 UTC, Kamil Páral
no flags Details
File: cgroup (242 bytes, text/plain)
2016-09-15 12:48 UTC, Kamil Páral
no flags Details
File: core_backtrace (5.29 KB, text/plain)
2016-09-15 12:48 UTC, Kamil Páral
no flags Details
File: dso_list (26.83 KB, text/plain)
2016-09-15 12:48 UTC, Kamil Páral
no flags Details
File: environ (1.08 KB, text/plain)
2016-09-15 12:48 UTC, Kamil Páral
no flags Details
File: exploitable (82 bytes, text/plain)
2016-09-15 12:48 UTC, Kamil Páral
no flags Details
File: limits (1.29 KB, text/plain)
2016-09-15 12:48 UTC, Kamil Páral
no flags Details
File: maps (159.81 KB, text/plain)
2016-09-15 12:48 UTC, Kamil Páral
no flags Details
File: mountinfo (3.93 KB, text/plain)
2016-09-15 12:48 UTC, Kamil Páral
no flags Details
File: namespaces (102 bytes, text/plain)
2016-09-15 12:48 UTC, Kamil Páral
no flags Details
File: open_fds (8.53 KB, text/plain)
2016-09-15 12:48 UTC, Kamil Páral
no flags Details
File: proc_pid_status (1.14 KB, text/plain)
2016-09-15 12:48 UTC, Kamil Páral
no flags Details
File: var_log_messages (391 bytes, text/plain)
2016-09-15 12:48 UTC, Kamil Páral
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 771495 None None None 2016-09-16 07:03 UTC

Description Kamil Páral 2016-09-15 12:47:53 UTC
Description of problem:
I followed reproducer from bug 1373196 comment 19 - I simly opened gnome-terminal and pressed left and right mouse button simmulatenously. Whole session crashed.

Version-Release number of selected component:
gnome-shell-3.21.91-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_wayland_surface_get_toplevel
executable:     /usr/bin/gnome-shell
global_pid:     2037
kernel:         4.8.0-0.rc5.git1.1.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 meta_wayland_surface_get_toplevel at wayland/meta-wayland-surface.c:1679
 #1 actor_surface_commit at wayland/meta-wayland-surface.c:2018
 #2 shell_surface_role_surface_commit at wayland/meta-wayland-surface.c:2057
 #3 xdg_surface_role_commit at wayland/meta-wayland-xdg-shell.c:1105
 #4 xdg_popup_role_commit at wayland/meta-wayland-xdg-shell.c:756
 #5 meta_wayland_surface_role_commit at wayland/meta-wayland-surface.c:1892
 #6 apply_pending_state at wayland/meta-wayland-surface.c:790
 #7 ffi_call_unix64 at ../src/x86/unix64.S:76
 #8 ffi_call at ../src/x86/ffi64.c:525
 #9 wl_closure_invoke at src/connection.c:935

Comment 1 Kamil Páral 2016-09-15 12:47:59 UTC
Created attachment 1201205 [details]
File: backtrace

Comment 2 Kamil Páral 2016-09-15 12:48:00 UTC
Created attachment 1201206 [details]
File: cgroup

Comment 3 Kamil Páral 2016-09-15 12:48:01 UTC
Created attachment 1201207 [details]
File: core_backtrace

Comment 4 Kamil Páral 2016-09-15 12:48:03 UTC
Created attachment 1201208 [details]
File: dso_list

Comment 5 Kamil Páral 2016-09-15 12:48:05 UTC
Created attachment 1201209 [details]
File: environ

Comment 6 Kamil Páral 2016-09-15 12:48:06 UTC
Created attachment 1201210 [details]
File: exploitable

Comment 7 Kamil Páral 2016-09-15 12:48:07 UTC
Created attachment 1201211 [details]
File: limits

Comment 8 Kamil Páral 2016-09-15 12:48:10 UTC
Created attachment 1201212 [details]
File: maps

Comment 9 Kamil Páral 2016-09-15 12:48:11 UTC
Created attachment 1201213 [details]
File: mountinfo

Comment 10 Kamil Páral 2016-09-15 12:48:13 UTC
Created attachment 1201214 [details]
File: namespaces

Comment 11 Kamil Páral 2016-09-15 12:48:14 UTC
Created attachment 1201215 [details]
File: open_fds

Comment 12 Kamil Páral 2016-09-15 12:48:15 UTC
Created attachment 1201216 [details]
File: proc_pid_status

Comment 13 Kamil Páral 2016-09-15 12:48:17 UTC
Created attachment 1201217 [details]
File: var_log_messages

Comment 14 Kamil Páral 2016-09-15 12:50:37 UTC
See bug 1373196 comment 19 for some debugging details.

Comment 15 Olivier Fourdan 2016-09-15 14:25:07 UTC
The crash is actually in mutter and is still reproducible wit hcurrent git master:

#0  meta_wayland_surface_get_toplevel (surface=0x0, surface@entry=0x86ac50) at wayland/meta-wayland-surface.c:1689
#1  0x00007ffff7b68871 in actor_surface_commit (surface_role=<optimized out>, pending=0xb68700) at wayland/meta-wayland-surface.c:2012
#2  0x00007ffff7b6892b in shell_surface_role_surface_commit (surface_role=0x838bb0, pending=0xb68700) at wayland/meta-wayland-surface.c:2051
#3  0x00007ffff7b6c591 in xdg_surface_role_commit (surface_role=0x838bb0, pending=0xb68700) at wayland/meta-wayland-xdg-shell.c:1184
#4  0x00007ffff7b6d84d in xdg_popup_role_commit (surface_role=0x838bb0, pending=0xb68700) at wayland/meta-wayland-xdg-shell.c:835
#5  0x00007ffff7b67a54 in meta_wayland_surface_role_commit (pending=0xb68700, surface_role=<optimized out>) at wayland/meta-wayland-surface.c:1886
#6  apply_pending_state (surface=0x86ac50, pending=0xb68700) at wayland/meta-wayland-surface.c:798
#7  0x00007fffeecbfc58 in ffi_call_unix64 () at ../src/x86/unix64.S:76
#8  0x00007fffeecbf6ba in ffi_call (cif=cif@entry=0x7fffffffd090, fn=<optimized out>, rvalue=<optimized out>, rvalue@entry=0x0, avalue=avalue@entry=0x7fffffffd160)
    at ../src/x86/ffi64.c:525
#9  0x00007fffeeecd32a in wl_closure_invoke (closure=closure@entry=0x8f2cc0, flags=flags@entry=2, target=<optimized out>, target@entry=0x868d10, opcode=opcode@entry=6, 
    data=<optimized out>, data@entry=0x10ae310) at src/connection.c:935
#10 0x00007fffeeec98b7 in wl_client_connection_data (fd=<optimized out>, mask=<optimized out>, data=0x10ae310) at src/wayland-server.c:371
#11 0x00007fffeeecb752 in wl_event_loop_dispatch (loop=0x614a90, timeout=timeout@entry=0) at src/event-loop.c:423
#12 0x00007ffff7b54527 in wayland_event_source_dispatch (base=<optimized out>, callback=<optimized out>, data=<optimized out>) at wayland/meta-wayland.c:79
#13 0x00007ffff125f1d2 in g_main_dispatch (context=0x6164c0) at gmain.c:3201
#14 g_main_context_dispatch (context=context@entry=0x6164c0) at gmain.c:3854
#15 0x00007ffff125f518 in g_main_context_iterate (context=0x6164c0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3927
#16 0x00007ffff125f832 in g_main_loop_run (loop=0x862a40) at gmain.c:4123
#17 0x00007ffff7b2848c in meta_run () at core/main.c:572
#18 0x0000000000400ea1 in main (argc=<optimized out>, argv=<optimized out>) at core/mutter.c:85

Comment 16 Olivier Fourdan 2016-09-15 14:28:35 UTC
Couldn't find a matching bug upstream so filed https://bugzilla.gnome.org/show_bug.cgi?id=771495

Comment 17 Fedora End Of Life 2017-11-16 14:36:29 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 18 Fedora End Of Life 2017-12-12 10:11:51 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.